#ifndef _L2HISTO
#define _L2HISTO

#define L2_MAX_NAME 80

struct L2Histo {
	char name[L2_MAX_NAME];
	int nBins;
	int entries;
	int oFlow;
	int uFlow;
	float min;
	float max;
	float invDelta;
	int v[1];
};
typedef struct L2Histo L2Histo;

L2Histo *L2Hbook(char *, int, float, float);
void     L2Henter(L2Histo *, float);
void     L2Hprint(L2Histo *);
void     L2Hxmgr(L2Histo *);

#endif
