#ifndef _RPMCLASS_

#define _RPMCLASS_

/*
 *
 *    List of RPM classes
 *
 */
#define NAM_CLASS      1
#define HBCOM_CLASS    2
#define FLD_CLASS      3
#define PAR_CLASS      4
#define PUB_CLASS      5
#define GRR_CLASS      6
#define ZMO_CLASS      7
#define PRC_CLASS      8
#define FCS_CLASS      9
#define BRIDGE_CLASS  10
#define RSYN_CLASS    11

#define EVC_CLASS     12
#define SLT_CLASS     13
#define TLT_CLASS     14
#define EVA_CLASS     15
#define L4T_CLASS     16
#define SBM_CLASS     17
#define MBM_CLASS     18
#define SDS_CLASS     19
#define SWI_CLASS     20
#define RUN_CLASS     21
#define L2S_CLASS     22 /* l2simu mode */
#define RRB_CLASS     23
#define FSM_CLASS     24

#define USER1_CLASS   28                /* User classes for developing  */
#define USER2_CLASS   29                /* interfaces that haven't been */
#define USER3_CLASS   30                /* assigned a value yet         */
#define USER4_CLASS   31

#define MAX_CLASS (USER4_CLASS + 1)     /* maximum number of classes    */

#endif
