#ifndef _L2DETECTOR
#define _L2DETECTOR

#include "l2defs.h"
#include "l2event.h"
#include "l2magnet.h"
#include "l2sili.h"
#include "oneone.h"

struct XBackVar {
  RPS_addr *bAddr;
};
typedef struct XBackVar XBackVar;


int     Detector_Init(void);
void    Detector_RequestEventHits(L2EVENT *pEvent);
void    Detector_TransformToGlobal(L2EVENT *pEvent, TSDS_HIT_REPLY *hitReply);

void    Detector_MagnetRequestTrackHits(L2EVENT *pEvent, L2TRACK *pTrk, L2MAGROI *roi);
void    Detector_MagnetTransformToGlobal(L2EVENT *pEvent, TSDS_HIT_REPLY *xBHitReply);

void    Detector_SiliRequestTrackHits(L2EVENT *pEvent, L2TRACK *pTrk, L2SILIROI *roi);

#endif
