#ifndef __ERRCLS_H_
#define __ERRCLS_H_

#ifdef __cplusplus
extern "C" {
#endif

/*
 *    Error message classes
 */
#define GRR_ERRCLS    0
#define EVC_ERRCLS    1
#define SLT_ERRCLS    2
#define TLT_ERRCLS    3
#define EVA_ERRCLS    4
#define L4T_ERRCLS    5
#define SBM_ERRCLS    6
#define MBM_ERRCLS    7
#define SDS_ERRCLS    8
#define SWI_ERRCLS    9
#define RUN_ERRCLS   10
#define L2S_ERRCLS   11
#define RRB_ERRCLS   12
#define FSM_ERRCLS   13
#define BPM_ERRCLS   14
#define DCD_ERRCLS   15
#define RPS_ERRCLS   16
#define USER1_ERRCLS 28
#define USER2_ERRCLS 29
#define USER3_ERRCLS 30
#define USER4_ERRCLS 31

/*
 *    Error message classes
 */
#define GRR_ERBIAS   (GRR_ERRCLS<<16)
#define EVC_ERBIAS   (EVC_ERRCLS<<16)
#define SLT_ERBIAS   (SLT_ERRCLS<<16)
#define TLT_ERBIAS   (TLT_ERRCLS<<16)
#define EVA_ERBIAS   (EVA_ERRCLS<<16)
#define L4T_ERBIAS   (L4T_ERRCLS<<16)
#define SBM_ERBIAS   (SBM_ERRCLS<<16)
#define MBM_ERBIAS   (MBM_ERRCLS<<16)
#define SDS_ERBIAS   (SDS_ERRCLS<<16)
#define SWI_ERBIAS   (SWI_ERRCLS<<16)
#define RUN_ERBIAS   (RUN_ERRCLS<<16)
#define L2S_ERBIAS   (L2S_ERRCLS<<16)
#define RRB_ERBIAS   (RRB_ERRCLS<<16)
#define FSM_ERBIAS   (FSM_ERRCLS<<16)
#define BPM_ERBIAS   (BPM_ERRCLS<<16)
#define DCD_ERBIAS   (DCD_ERRCLS<<16)
#define RPS_ERBIAS   (RPS_ERRCLS<<16)

#define USER1_ERBIAS (USER1_ERRCLS<<16)
#define USER2_ERBIAS (USER2_ERRCLS<<16)
#define USER3_ERBIAS (USER3_ERRCLS<<16)
#define USER4_ERBIAS (USER4_ERRCLS<<16)

#ifdef __cplusplus
}
#endif

#endif
