/* >>>>>>   TO PRINT THIS FILE USE: "a2ps -nP -t4 $1 | lp -dprintdest" <<<<<<< */
/****
*
*   l2simu.h
*
***/

#ifndef _L2SIMU
#define _L2SIMU  


#include "l2defs.h"
/* definition of parameter structure: ----------------------------------------- */

/* flags for different projections:                                        */
typedef struct {   
        BOOLEAN UseSpy;     /* TRUE: use spy feature                            */
        char ModName[99];   /* name of module to spy                            */
        int  ModCopy;       /* copy of module to spy                            */
} SPY;
        
typedef struct {   
        BOOLEAN PrintAsciiFiles; /* TRUE: Print ascii files, use ARTE data */
        BOOLEAN UseHitsofMC;/* TRUE: use hits of mimps, non digitized */
        SPY  spy;
} OPTIONS;

typedef struct {   
        char InputData[99];
        char InputGeom[99];
        char InputConf[99];
        char OutputTest[99];
        char OutputData[99];
        char OutputHist[99];
} IOFILES;

/* definition of function prototypes: ----------------------------------------- */
int  l2fr_L2simuInit( int batch );
int  l2fr_L2simuEvnt(int eventNum);
int  l2fr_L2simuTerm();
int  l2fr_ShowMainMenu();
int  l2fr_DoFiles();
int  l2fr_DoSpy();
int  l2fr_DoOptions();
int  l2fr_DoHelp();
int l2fr_SetDefaultFiles(); 
int  l2fr_OpenOutFiles();
void Interact(void);        


void l2simu_run( );

#endif

