#ifndef _MTABLE
#define _MTABLE

#include "l2defs.h"
#include "l2mess.h"

/* Mod  *MLookup( const char *, const int); name changed to MTable_Lookup */

void MInsert( MOD *);
BOOLEAN MTable_Init(void);
void MCycle(void);
void MICycle(int);
void MTable_PrintMods(void);
void MTable_PrintPorts(int);
void MTable_PrintCurrent(void);
void MTable_PrintMod(MOD *theMod);
MOD *MTable_Lookup(const char *, int);
MOD *MTable_LookupRpm(const char *);
void MTable_MyName(char *);             /* rpm name of current module */
int  MTable_MyProcNum(void);            /* processor id */
const char *MTable_Name(const MOD *);   /* also rpm name. */
int  MTable_HowMany(void);
MOD *MTable_IterateInit(void);   /* initialize THE iterator, return 1st element */
MOD *MTable_IterateNext();       /* return next element of list */
RPS_addr MTable_Address(const MOD *);
void MChkPorts(void);
void CommandAll(void *theMess, int type, int length);

#endif
