#ifndef _PQH_
#define _PQH_

#include <sys/types.h>
#include "l2mess.h"

#define DEFAULT_SIZE 512 

typedef struct _pq {
	int size;		/* Number of elements */
	int max_size;		/* Max number that can be stored
				   before the array must be resized. */
	Message  *elements[DEFAULT_SIZE];
} PQ;


PQ * pqueue_create();
void pqueue_insert( PQ ** , Message *);
void pqueue_oinsert( PQ ** , Message *);
Message * pqueue_min( PQ *);
Message * pqueue_wmin (PQ *);
Message * pqueue_ele ( PQ *, int);
int pqueue_clear( PQ * );
int pqueue_wor ( PQ *);
void pqueue_print( PQ *);
#endif  
