#ifndef _SLT
#define _SLT

#include "slp.h"
#include "l2event.h"

typedef struct SLT_STATS
{
  int input;
  int rejects;
  int algoRej[L2ALGO_N_ALGO_SECTIONS];
  int accepts;
} SLT_STATS;

  
SLP_RETURN SLT_initialize();
void SLT_zero();
SLP_RETURN  SLT_initiate(int event);
SLP_RETURN  SLT_handleTimeout();
SLP_RETURN  SLT_handle(int isRPS, int msg_class, void *header, void *data);
void SLT_free(int event);

void SLT_setPrintOption(int onOff); /* On is nonzero */
void SLT_zeroStats(void);
void SLT_printStats(FILE *);

#endif
