#ifndef _L2S_MESSAGES
#define _L2S_MESSAGES

#include "class.h"

enum L2SIMU {   /* Commands from thrash which will never be used in real processor */
  L2S_NEW_EVENT = (L2S_CLASS << 16),
  L2S_GET_PORT_STATUS,
  L2S_PORT_STATUS,
  L2S_REPLAY,
  L2S_GET_MODULE_STATUS,	
  L2S_EXIT,
  L2S_KICK
};


#define MAX_KEY_LENGTH 41

struct L2SIMU_NEW_EVENT {
  int eventNum;
};
typedef struct L2SIMU_NEW_EVENT L2SIMU_NEW_EVENT;

struct L2HOST_GENERIC_MODULE_STATUS {
  char key[MAX_KEY_LENGTH];
  int copy;
  int nMessages;
};
typedef struct L2HOST_GENERIC_MODULE_STATUS L2HOST_GENERIC_MODULE_STATUS;

struct L2SIMU_REPLAY {
  int nEvents;
};
typedef struct L2SIMU_REPLAY L2SIMU_REPLAY;


#endif
