#ifndef _EVA
#define _EVA

#include "slp.h"

enum EVA_WHAT {
  EVA_ECAL,
  EVA_RICH,
  EVA_AND_SO_ON,
  EVA_ALL
};

SLP_RETURN EVA_initialize();
void EVA_zero();
SLP_RETURN  EVA_initiate( int event, int what );
SLP_RETURN  EVA_handleTimeout();
SLP_RETURN  EVA_handle(int isRPS, int msg_class, void *header, void *data);
void  EVA_free(int event, int what);
void *EVA_getData(int event, int what); /* return pointer to start of block */
SLP_RETURN EVA_transfer( SLP_RETURN ret );

#endif
