
/***
 *
 * Commands handled by global DoCommand function.
 *
 ***/

#ifndef _GCOMMANDS
#define _GCOMMANDS

#define printModList 1
#define printModule 2
#define printPortStat 3

/***
 *
 * Commands which all procs must respond to.
 *
 ***/

#define printLocal   101    /* print contents of Local pointer */
#define printBuff    102    /* print contents of Buff pointer */
#define printStat    103    /* print contents of Stat pointer */
#define printAll     104    /* print contents of Local, Buff and Stat pointer */
#define printMess    105    /* print contents of the message pointed to by 2nd param of DoCommand */
#define printSummary 106    /* print summary info */

#endif
