#ifndef _L2MAGNET
#define _L2MAGNET

#include "l2event.h"

struct L2MAGROI {
  int eventNumber;
  int trackIndex;
  int magTrackIndex;
  float x1;              /* The RoI definition: */
  float x1_err;
  float y1;
  float y1_err;
  float z1;
  float x2;
  float x2_err;
  float y2;
  float y2_err;
  float z2;
};
typedef struct L2MAGROI L2MAGROI;

void Magnet_Init( void ); 
void Magnet_RequestEventHits( L2EVENT *pEvent );
void Magnet_TrackCreate( L2TRACK *pTrk, L2REFITTRK *pRefitTrk, L2REFITSUBTRK *pRefitSubTrk );
void Magnet_TrackDoRoI(int hitsRequested, L2TRACK *pTrk);
void Magnet_SeedSiliTracks( L2EVENT *pEvent );

#define Magnet_TrackListInit(pTrk) ((pTrk)->MagnetTrkSet.nTracks = 0)

#endif
