/***
 *
 * The "message" structure is not the message itself but a
 * wrapper used by l2simu to keep track of active messages.
 * The message itself is pointed to by "data".
 *
 ***/

#ifndef _L2MESS
#define _L2MESS


struct message {
	unsigned long timeStamp;
	unsigned long len;
	struct message *next;
	int version; /* 0 for GetM/PutM. 1 for L2net */
	void *data;
/*   START        CIL               */
        int id;
	double t0;
	double t1;
	double t2;
	double t3;
	double t4;
	int type;
	int curr_via;
	struct MOD *curr_mod;
/*   END         CIL               */
};
typedef struct message Message;


#endif
